Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230449 - Review Request: hostapd - User space daemon for access point
Summary: Review Request: hostapd - User space daemon for access point
Keywords:
Status: CLOSED DUPLICATE of bug 548180
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-28 21:25 UTC by Nicolas Chauvet (kwizart)
Modified: 2009-12-17 11:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-16 12:54:27 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-02-28 21:25:02 UTC
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd-FE/hostapd.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd-FE/hostapd-0.6-0.3.20070224.fc7.src.rpm
Description: User space daemon for access point

This is a work in progress, preliminary and need testing version. (the same version work fine but testing means see if it work with d80211 based wifi module which are integrated in the 2.6.21rc1 kernel)

Mock log avaible in the same directory
rpmlint is silent
compiled on fc6 for fc7 i386 (x86_64 can be done if needed)

A discution should be held about inclusion of madwifi lib needed to enable master mode support for this module (without including madwifi binary daemon)

yet, enabling d80211 means to bundle d80211 taken from intel website (or else)... This solution isn't good and headers should be held in kernel-header (this wasn't the case with 2.6.20-1.2949.fc7)
Also, using a proper versionned BR about kernel-headers since it will requires 2.6.21rc1 from kernel.org that are kernel.2.6.20_and_some_more in fedora. This would mean the easier BR will be to use 2.6.21 when avaible...

Question is the relation with wpa-supplicant because it will also need paching against d80211 and may need to enable wpa_supplicant-devel to allow using wpa on master mode acces point...

Comment 1 Nicolas Chauvet (kwizart) 2007-04-01 00:34:59 UTC
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd-FE/hostapd.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd-FE/hostapd-0.6-0.5.20070325.kwizart.fc6.src.rpm
Description: User space daemon for access point

This new version still uses mac80211 tarball from intel because
ieee80211_common.h  hostapd_ioctl.h aren't avaible from the kernel-headers or
kernel-devel

Comment 2 Nicolas Chauvet (kwizart) 2007-05-13 05:27:11 UTC
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd/hostapd.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/hostapd/hostapd-0.6-0.6.20070510.kwizart.fc6.src.rpm
Description: User space daemon for access point

Comment 3 Peter Lemenkov 2008-01-12 19:26:11 UTC
I'll review this package.

Some quick remarks - you should drop #ifdefs for FC-6 since its no longer
supported. Another one note - I think we should update hostapd up to 0.6.2
(latest devel release).

Comment 4 Peter Lemenkov 2008-01-12 19:29:01 UTC
Also you should drop mac80211 and wpa_supplicant from package - I think they no
longer needed.

Comment 5 Nicolas Chauvet (kwizart) 2008-01-12 19:42:46 UTC
please don't start review... It is aimed for coordination of efforts and testing
use only...

The last attempt was here:
http://kwizart.free.fr/fedora/testing/8/SRPMS/hostapd-0.6.1-1.kwizart.fc8.src.rpm

This package isn't ready since the mac80211 part for master mode will not be
stabilized until 2.6.25 kernels (at least, as said linville). As such there is
still missings headers.

Maybe we could ask linville to have a testing kernel for such attemps (because
there is also a need to test some special patches for master mode.)



Comment 6 Peter Lemenkov 2008-05-17 17:28:53 UTC
OK, Fedora 9 ships kernel-2.6.25. What's the current status of this request?

Comment 7 Nicolas Chauvet (kwizart) 2008-07-06 08:54:25 UTC
SRPM:
http://rpms.kwizart.net/fedora/testing/8/SRPMS/hostapd-0.6.1-1.kwizart.fc8.src.rpm

My previous website is down. Here is the last version. I will try to re-work on
it later...

Comment 8 manuel wolfshant 2008-07-06 13:39:54 UTC
I've taken a look at the package because I plan on using it. So:
- minor nitpick: duplicate BuildRequires: zlib-devel (by openssl-devel),
krb5-devel (by openssl-devel)
- what's the reason of defining _version and using %{_version} instead of simply
using %{version}? technically it's OK, but it is also useless


Please let me know when the package is ready for review, for the moment mock
build fails because you BR madwifi bits (which are not available in fedora)


Comment 9 Nicolas Chauvet (kwizart) 2008-09-30 21:04:03 UTC
I will try to rework on this package soon,
but i don't know if this will be relevant (specially as some master mode functions will still miss from the kernel, even from Rawhide kernel).

Comment 10 Jason Tibbitts 2008-10-03 17:09:35 UTC
Marking this as not being ready for review; please clear the whiteboard when it is ready.

Comment 11 Nicolas Chauvet (kwizart) 2009-03-16 12:54:27 UTC
I don't plan to work on this anymore

Comment 12 Peter Lemenkov 2009-12-17 11:52:36 UTC

*** This bug has been marked as a duplicate of bug 548180 ***


Note You need to log in before you can comment on or make changes to this bug.